II(1)

NAME
ii - irc it or irc improved

SYNOPSIS
ii -s host [-p port | -u sockname] [-i ircdir] [-n nickname] [-f realname] [-k env_pass]

DESCRIPTION
ii is a minimalistic FIFO and filesystem based IRC client. It creates an irc directory tree with server, channel and nick name directories. In every directory a FIFO file (in) and normal file (out) is placed. This will be for example ~/irc/irc.freenode.net/. The in file is used to communicate with the servers and the out files includes the server messages. For every channel and every nick name there will be new in and out files. The basic idea of this is to be able to communicate with an IRC server with basic command line tools. For example if you will join a channel just do echo "/j #channel" > in and ii creates a new channel directory with in and out file.

OPTIONS

-s host
    server/host to connect to, for example: irc.freenode.net

-p port
    lets you override the default port (6667)

-u sockname
    connect to a UNIX domain socket instead of directly to a server. If set, the -p option will be ignored.

-i ircdir
    lets you override the default irc path (~/irc)

-n nickname
    lets you override the default nick ($USER)

-f realname
    lets you specify your real name associated with your nick

-k env_pass
    lets you specify an environment variable that contains your IRC password, e.g. IIPASS="foobar" ii -k IIPASS. This is done in order to prevent other users from eavesdropping the server password via the process list.

DIRECTORIES

~/irc
    In this directory the irc tree will be created. In this directory you will find a directory for your server (default: irc.freenode.net) in which the FIFO and the output file will be stored. If you join a channel a new directory with the name of the channel will be created in the ~/irc/servername/ directory.

COMMANDS

/a [message]
    mark yourself as away, with the optional message as an away reason.

/j #channel [password]
    join a #channel, with the optional password.

/j nickname [message]
    open private conversation with user nickname and directly send the optional message.

/l [reason]
    leave a channel or query, giving the optional reason message.

/n nick
    change the nick name to nick.

/q [reason]
    quit ii, giving the optional reason message.

/t topic
    set the topic of a channel with topic.

RAW COMMANDS
Everything which is not a command will be posted into the channel or to the server. So if you need /who just write /WHO as described in RFC#1459 to the server in FIFO.

SSL/TLS PROTOCOL SUPPORT
For SSL/TLS protocol support you can connect to a local tunnel, for example with stunnel or socat.

SEE ALSO
echo(1), tail(1)